**xdgcfg** is a very simple wrapper around libconfig written in C++. It reads
and writes files in `${XDG_CONFIG_HOME}`. It creates subdirectories if
necessary.

## Dependencies

* C++ compiler (Tested: g++ 5/8)
* [cmake](https://cmake.org/) (at least: 3.1)
* [pkgconfig](https://pkgconfig.freedesktop.org/wiki/)
* [libconfig++](https://github.com/hyperrealm/libconfig)
* [libxdg-basedir](http://repo.or.cz/w/libxdg-basedir.git)

## Install

Copy `xdgcfg.hpp` into a folder where your project can find it.

``` shell
mkdir build
cd build
cmake ..
make
make install
```

### CMake options

* `-DWITH_TESTS=YES` to compile the tests.
* `-DWITH_EXAMPLES=YES` to compile the example.


## Documentation

`xdgcfg.hpp` has explanatory comments in it and there is an
[example](src/example.cpp). The reference is also available at
[doc.schlomp.space/xdgcfg/](https://doc.schlomp.space/xdgcfg/classxdgcfg.html).
